@import "variables";

// Reset.
*,
*::after,
*::before {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

button, input[type="submit"], input[type="reset"] {
  all: initial;
  cursor: pointer;

  img {
    display: block;
  }
}

// Style

html, body {
  font-size: $font-size;
  font-family: $font-family;
  min-height: 100vh;
  max-height: 100vh;
  min-width: 100vw;
  max-width: 100vw;
  overflow: hidden;
}

body {
  background: $very-dark-blue url('../images/bg-desktop.png') no-repeat bottom center;
  background-size: 100% 52.5%;

  position: relative;

  display: flex;
}

main {
  margin: auto;
  padding-bottom: 20px;

  display: flex;
  gap: 2rem;
}

.usage, .uploader {
  box-shadow: 11px 10px 37px 1px rgba(0,0,0,0.16);
}

@import "_components/uploader";
@import "_components/usage";

@import "_components/footer";
